#hinnat-sahko-today-info {
    margin-top: 2rem;
    text-align: center;
    display: flex;
}

#hinnat-sahko-today-info > div {
    flex-grow: 1;
}

.sahkon-hinta-container .button-container {
    display: flex;
}


.sahkon-hinta-container .button-container button {
    background: #1f3677;
    color: #ffffff;
    text-transform: none;
    flex: 1 1 0;
    white-space: nowrap;
}

.sahkon-hinta-container .button-container button:hover {
    background: #2f4687;
}

.sahkon-hinta-container .button-container .current-button,
.sahkon-hinta-container .button-container button:focus {
    background: #7bdcb5;
}

#sahkon-hinta-details {
    text-align: center;
}

#sahkon-hinta-details div > span {
    font-weight: bold;
}

#sahkon-hinta-error {
    text-align: center;
    display: none;
}

@media only screen and (max-width: 1024px) {
    .sahkon-hinta-container .button-container {
        display: grid;
        grid-template-columns: 1fr 1fr 1fr 1fr;
        grid-gap: 2px;
    }

    .sahkon-hinta-container .button-container > button {
        margin: 0;
    }
}
